# $Revision: 1.46 $, $Date: 2012/02/12 12:44:44 $
Summary:	A 3D version of the classic DOS game Scorched Earth
Summary(pl.UTF-8):	Wersja 3D klasycznej DOS-owej gry Scorched Earth
Name:		scorched3d
Version:	43.2a
Release:	6
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/scorched3d/Scorched3D-%{version}-src.tar.gz
# Source0-md5:	876de173218fd83a2b0a30255ba694fa
Source1:	%{name}.desktop
Patch0:		%{name}-types.patch
Patch1:		%{name}-openal.patch
Patch2:		%{name}-libpng15.patch
URL:		http://www.scorched3d.co.uk/
BuildRequires:	ImageMagick-coder-png
BuildRequires:	OpenAL-devel >= 0.0.8
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	SDL_net-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	fftw3-single-devel >= 3.0
BuildRequires:	freealut-devel
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.533
BuildRequires:	sed >= 4.0
BuildRequires:	wxGTK2-devel >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Scorched3D is a cross-platform 3D remake of the popular 2D artillery
game Scorched Earth. Scorched3D can be played against the computer,
other players, and remotely across the Internet or LAN.

%description -l pl.UTF-8
Scorched 3D to wieloplatformowe, trójwymiarowe odtworzenie popularnej
dwuwymiarowej gry artyleryjnej Scorched Earth. W Scorched3D można grać
przeciwko komputerowi, innym graczom oraz zdalnie poprzez Internet lub
LAN.

%prep
%setup -qc
mv scorched/* .
rm -rf scorched-dep-osx scorched
%undos src/common/porting/windows.h src/common/image/ImagePngFactory.cpp
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--datadir=%{_datadir}/%{name} \
	--with-wx-config=wx-gtk2-ansi-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	datadir=%{_datadir}/%{name}

%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/documentation/*.txt

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
convert $RPM_BUILD_DIR/%{name}-%{version}/data/images/tank2.bmp $RPM_BUILD_ROOT%{_pixmapsdir}/scorched3d.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc documentation/*.txt
%attr(755,root,root) %{_bindir}/scorched3d
%attr(755,root,root) %{_bindir}/scorched3dc
%attr(755,root,root) %{_bindir}/scorched3ds
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/documentation
%{_pixmapsdir}/scorched3d.png
%{_desktopdir}/scorched3d.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scorched3d.spec,v $
Revision 1.46  2012/02/12 12:44:44  adamg
- d'oh! install fix; release 6

Revision 1.45  2012/02/12 12:09:29  adamg
- fix %prep not to polute builddir

Revision 1.44  2012/02/12 12:05:54  adamg
- release 5 (rebuild against libpng-1.5)

Revision 1.43  2012/02/12 08:13:07  arekm
- release 4

Revision 1.42  2012/02/07 22:07:14  arekm
- release 3

Revision 1.41  2011/12/20 19:39:48  arekm
- release 2

Revision 1.40  2010/12/10 09:41:11  lisu
- 43.2a

Revision 1.39  2010/11/15 10:34:38  lisu
- updated to 43.2, merged with DEVEL

Revision 1.38.2.1  2010/09/29 11:01:35  lisu
- up to 43.2beta
- no more need to apply -libpng.patch

Revision 1.38  2010/05/04 12:46:14  lisu
- updated to 43.1c

Revision 1.37  2010/02/11 19:14:23  megabajt
- added -libpng.patch
- release 6

Revision 1.36  2010/02/09 01:22:13  sparky
- BR: expat-devel, libjpeg-devel, libpng-devel, pkgconfig

Revision 1.35  2010/02/06 21:13:16  arekm
- release 5

Revision 1.34  2009/08/18 18:45:40  arekm
- release 4

Revision 1.33  2009/08/14 00:05:14  arvenil
- release 3 (rebuild with OpenAL)
- added openal patch
- use autotools
- adapter

Revision 1.32  2009/07/14 20:19:38  arekm
- rel 2; dos line ending fixes

Revision 1.31  2009/07/14 12:36:16  arekm
- updated to 42.1

Revision 1.30  2009/07/12 13:28:46  arekm
- release 2

Revision 1.29  2008/02/14 21:47:38  cactus
- up to 41.3

Revision 1.28  2007-12-02 12:14:10  qboosh
- updated to 41.1
- added types patch

Revision 1.27  2007-02-12 22:09:14  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.25  2006/12/09 23:00:49  darekr
- BR: freealut-devel, still doesn't build

Revision 1.24  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.23  2006/10/29 16:15:25  shadzik
- 40.1b

Revision 1.22  2006/10/28 16:18:40  shadzik
- up to 40.1

Revision 1.21  2006/10/28 16:02:37  shadzik
- up to 40.0

Revision 1.20  2005/12/07 20:30:10  qboosh
- tab

Revision 1.19  2005/12/07 18:23:05  blekot
- updated to 39.1

Revision 1.18  2005/05/02 17:42:29  qboosh
- updated wx-config for wxGTK2 2.6.0

Revision 1.17  2005/05/02 13:14:20  domelu
- added _ver macro

Revision 1.16  2005/05/02 13:08:27  matowy
- fix url with source

Revision 1.15  2005/05/02 12:31:03  matowy
- up to 38.1b
- patch0 already in sources

Revision 1.14  2004/05/30 16:40:58  adamg
- updated to 37.2

Revision 1.13  2004/05/27 14:44:12  averne
- BR: freetype-devel

Revision 1.12  2004/04/15 19:33:05  qboosh
- added types patch to fix pointer arithmetic on 64-bit archs
  (and avoid gcc 3.3.3 ICE triggered by such invalid code)
- release 2

Revision 1.11  2004/04/13 08:43:40  adamg
- refresh config.sub, BuildRequires: automake

Revision 1.10  2004/04/10 19:37:03  adamg
- cosmetics

Revision 1.9  2004/04/10 17:18:45  adamg
- updated to 37.1

Revision 1.8  2004/03/01 18:03:51  grzegol
- updated to 36.2
- types patch probably outdated, but I'm not sure

Revision 1.7  2003/12/22 21:37:26  grzegol
- adapted .desktop file to standard; cosmetics

Revision 1.6  2003/12/22 12:13:55  qboosh
- release 2

Revision 1.5  2003/12/22 11:33:50  qboosh
- added types patch (fixes build on 64-bit archs), cleanups, unifications

Revision 1.4  2003/12/22 07:24:06  maho
- fixed typo
- added desktop file, icon converted from internal .bmp

Revision 1.3  2003/12/22 02:00:10  undefine
- yeeah! it works =), release 1, stbrkjm

Revision 1.2  2003/12/22 01:18:29  undefine
- BR, seems to work, ready to tests ;)

Revision 1.1  2003/12/21 22:39:43  undefine
- change name to scorched3d, add md5 sum(he he...).. still not tested ;)

Revision 1.1  2003/12/21 21:35:02  undefine
- initital pld version. not ready, not working, not finished, not...

